get
https://{domainname}/CAServices/PhoneManageV2.php
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
This API is used to delete existing phone number details in CloudAgent. The user has to update the ‘action’ parameter with the delete function. For example, if the action parameter = delete along with the following parameters, this API creates a new phone number.
To access this API the following parameters MUST be passed
| Parameter | Description |
|---|---|
| action* | "delete" to delete an existing phone number |
| apiKey* | Available in CloudAgent admin login |
| userName* | CloudAgent user name |
| phoneNumber* | The phone number that is to be deleted. |
| phoneName* | Optional name to the Phone number or lead. |
Note
- Parameters with ‘*’ are considered to be mandatory parameters.
- phoneNumber with special characters(+1, +91 etc.,) are to be encoded(add %2B instead of ‘+’) while passing in the request.
- The ‘phoneName’ parameter is not case-sensitive.
Possible responses
| Success response | "status": "success" "message": "record inserted successfully" |
| Invalid api_key | "status": "error" "message": "userName or apiKey not valid" |
| Invalid action | "status": "error" "message": "action not valid" |
| Invalid phoneNumber | "status": "error" "message": "phoneNumber must be numeric" |
| Invalid username | "status": "error" "message": "userName or apiKey not valid" |
| Empty phoneName | "status": "error" "message": "phoneName cannot be empty" |
| Empty phoneNumber | "status": "error" "message": "phoneNumber cannot be empty" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
